PatternCacheFIFO (Jakarta-ORO 2.0.8 API)
Date: 2019-09-02

org.apache.oro.text

## Class PatternCacheFIFO

- java.lang.Object
- - org.apache.oro.text.GenericPatternCache
  - - org.apache.oro.text.PatternCacheFIFO

- All Implemented Interfaces:
    PatternCache

      public final class PatternCacheFIFO
      extends GenericPatternCache

  This class is a GenericPatternCache subclass implementing a FIFO (First In First Out) cache replacement policy. In other words, patterns are added to the cache until the cache becomes full. Once the cache is full, if a new pattern is added to the cache, it replaces the first of the current patterns in the cache to have been added.
  Since:
    1.0
  Version:
    2.0.8
  See Also:
    `GenericPatternCache`

- - ### Field Summary

    - ### Fields inherited from class org.apache.oro.text.GenericPatternCache

      `DEFAULT_CAPACITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PatternCacheFIFO()` Same as:
    `PatternCacheFIFO(int capacity)` Same as:
    `PatternCacheFIFO(int capacity, PatternCompiler compiler)` Creates a PatternCacheFIFO instance with a given cache capacity, initialized to use a given PatternCompiler instance as a pattern compiler.
    `PatternCacheFIFO(PatternCompiler compiler)` Same as:

  - ### Method Summary

    - ### Methods inherited from class org.apache.oro.text.GenericPatternCache

      `addPattern, addPattern, capacity, getPattern, getPattern, size`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PatternCacheFIFO

          public PatternCacheFIFO(int capacity,
                                  PatternCompiler compiler)

      Creates a PatternCacheFIFO instance with a given cache capacity, initialized to use a given PatternCompiler instance as a pattern compiler.

      Parameters:
        `capacity` - The capacity of the cache.
        `compiler` - The PatternCompiler to use to compile patterns.

    - #### PatternCacheFIFO

          public PatternCacheFIFO(PatternCompiler compiler)

      Same as:

      >      PatternCacheFIFO(GenericPatternCache.DEFAULT_CAPACITY, compiler);

    - #### PatternCacheFIFO

          public PatternCacheFIFO(int capacity)

      Same as:

      >      PatternCacheFIFO(capacity, new Perl5Compiler());

    - #### PatternCacheFIFO

          public PatternCacheFIFO()

      Same as:

      >      PatternCacheFIFO(GenericPatternCache.DEFAULT_CAPACITY);

Copyright ? 2000-2003 Apache Software Foundation. All Rights Reserved.